Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160707 - pcmcia-init script corrections
Summary: pcmcia-init script corrections
Keywords:
Status: CLOSED DUPLICATE of bug 150446
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmcia-cs
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 19:48 UTC by jar
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-29 23:04:09 UTC


Attachments (Terms of Use)

Description jar 2005-06-16 19:48:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When you do ´service pcmcia restart´ you get "unable to map card memory" because pcmcia related modules are in use and cannot be removed. Some corrections has to be made to the pcmcia init-script.

o "cardctl eject" has to be placed to before killing cardmgr to get 
pcmcia divice inactive.

o Extra "sleep 1" or something has to be palced after "cardctl eject" to get 
enough time for "cardctl eject". If there is no sleep the killing of 
cardmgr not always succeeded, sometimes yes.

o There is no such module "ds" any more, "ds" is named "pcmcia" now.

o Use 'modprobe -r' instead of rmmod.

Version-Release number of selected component (if applicable):
pcmcia-cs-3.2.8-4.12

How reproducible:
Always

Steps to Reproduce:
1.service pcmcia resart
2.
3.
  

Actual Results:  cs: unable to map card memory!

Expected Results:  Clean pcmcia modules unloading and then fresh re-loading.

Additional info:

Comment 1 John Thacker 2006-10-29 23:04:09 UTC

*** This bug has been marked as a duplicate of 150446 ***


Note You need to log in before you can comment on or make changes to this bug.